diff --git a/src/libcdio/iso9660/iso9660.c b/src/libcdio/iso9660/iso9660.c
index 1b5e6a16f..5b9d05752 100644
--- a/src/libcdio/iso9660/iso9660.c
+++ b/src/libcdio/iso9660/iso9660.c
@@ -450,9 +450,8 @@ iso9660_name_translate_ext(const char *psz_oldname, char *psz_newname,
     if (!c)
       break;
     
-    /* We're supposed to lower the case when Joliet extensions are not in use
-     * but some images fail if we do that. I'm looking at you Arch Linux!!! */
-    /* if (!i_joliet_level && isupper(c)) c = tolower(c); */
+    /* Lower case, unless we have Joliet extensions.  */
+    if (!i_joliet_level && isupper(c)) c = tolower(c);
     
     /* Drop trailing '.;1' (ISO 9660:1988 7.5.1 requires period) */
     if (c == '.' && i == len - 3 
diff --git a/src/rufus.rc b/src/rufus.rc
index 571c2f095..f0b4ce7f7 100644
--- a/src/rufus.rc
+++ b/src/rufus.rc
@@ -30,7 +30,7 @@ LANGUAGE LANG_ENGLISH, SUBLANG_NEUTRAL
 IDD_DIALOG DIALOGEX 12, 12, 206, 316
 STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | DS_CENTER | WS_POPUP | WS_CAPTION | WS_SYSMENU
 EXSTYLE WS_EX_APPWINDOW
-CAPTION "Rufus v1.3.0.216"
+CAPTION "Rufus v1.3.0.217"
 FONT 8, "MS Shell Dlg", 400, 0, 0x1
 BEGIN
     DEFPUSHBUTTON   "Start",IDC_START,94,278,50,14
@@ -274,8 +274,8 @@ END
 //
 
 VS_VERSION_INFO VERSIONINFO
- FILEVERSION 1,3,0,216
- PRODUCTVERSION 1,3,0,216
+ FILEVERSION 1,3,0,217
+ PRODUCTVERSION 1,3,0,217
  FILEFLAGSMASK 0x3fL
 #ifdef _DEBUG
  FILEFLAGS 0x1L
@@ -292,13 +292,13 @@ BEGIN
         BEGIN
             VALUE "CompanyName", "Akeo Consulting (http://akeo.ie)"
             VALUE "FileDescription", "Rufus"
-            VALUE "FileVersion", "1.3.0.216"
+            VALUE "FileVersion", "1.3.0.217"
             VALUE "InternalName", "Rufus"
             VALUE "LegalCopyright", "(c) 2011-2012 Pete Batard (GPL v3)"
             VALUE "LegalTrademarks", "http://www.gnu.org/copyleft/gpl.html"
             VALUE "OriginalFilename", "rufus.exe"
             VALUE "ProductName", "Rufus"
-            VALUE "ProductVersion", "1.3.0.216"
+            VALUE "ProductVersion", "1.3.0.217"
         END
     END
     BLOCK "VarFileInfo"
